Name:		fskbsetting
Version:	0.3.5
Release:	%mkrel 13
License:	GPLv3+
Summary:	GUI Front-end for setxkbmap command
URL:		https://sourceforge.net/projects/fskbsetting
Group:		System/X11
Source0:	https://sourceforge.net/projects/fskbsetting/files/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	intltool
BuildRequires:	automake
BuildRequires:	wxgtk-devel
BuildRequires:	hicolor-icon-theme
BuildRequires:	gettext-devel
Requires:	setxkbmap
Requires:	hicolor-icon-theme
Requires:	x11-data-xkbdata

%description
fsKBSetting is GUI front-end for setxkbmap command.

%prep
%setup -q

%build
autoreconf --force --install --symlink
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.png
%{_docdir}/%{name}



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.3.5-13.mga10
+ Revision: 2214773
- Mageia 10 Mass Rebuild

* Fri Jul 15 2022 wally <wally> 0.3.5-12.mga9
+ Revision: 1868989
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 0.3.5-11.mga9
+ Revision: 1864096
- rebuild for wxgtk 3.1.7

* Thu Apr 14 2022 wally <wally> 0.3.5-10.mga9
+ Revision: 1849877
- rebuild for wxgtk 3.1.6

* Sun Apr 03 2022 umeabot <umeabot> 0.3.5-9.mga9
+ Revision: 1842873
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 0.3.5-8.mga9
+ Revision: 1768491
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 0.3.5-7.mga9
+ Revision: 1765728
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Fri Jan 01 2021 wally <wally> 0.3.5-6.mga8
+ Revision: 1667701
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 0.3.5-5.mga8
+ Revision: 1614340
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 umeabot <umeabot> 0.3.5-4.mga8
+ Revision: 1538012
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 12 2019 wally <wally> 0.3.5-3.mga8
+ Revision: 1459464
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 0.3.5-2.mga8
+ Revision: 1419508
- rebuild with gtk3 enabled wxgtk 3.1.2

* Thu Feb 07 2019 alexl <alexl> 0.3.5-1.mga7
+ Revision: 1363722
- version 0.3.5

* Sun Sep 23 2018 umeabot <umeabot> 0.3.4-4.mga7
+ Revision: 1297791
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Sat Jun 03 2017 akien <akien> 0.3.4-3.mga6
+ Revision: 1106093
- Rebuild for wxgtk 3.0.3.1

* Sun Feb 14 2016 umeabot <umeabot> 0.3.4-2.mga6
+ Revision: 960202
- Mageia 6 Mass Rebuild

* Fri Nov 06 2015 alexl <alexl> 0.3.4-1.mga6
+ Revision: 898082
- version 0.3.4
- del upstreamed stuff
- update license tag
- new url
- hicolor-icon-theme, x11-data-xkbdata are requires
- s/makeinstall_std/make_install/

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-5.mga5
+ Revision: 743781
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-4.mga5
+ Revision: 679367
- Mageia 5 Mass Rebuild

* Mon Aug 04 2014 alexl <alexl> 0.3.2-3.mga5
+ Revision: 659606
- added setxkbmap to requires
- created autostart dir if dir not exists (added create-autostart-dir.patch)
- fixed condition if file exists (added if-file-exists.patch)

* Sun Aug 03 2014 alexl <alexl> 0.3.2-2.mga5
+ Revision: 659326
- translated desktop file
- added rename.patch, desktop.patch, hotkeys.patch
- added fskbsetting.png
- changed sample.xpm

* Sun Apr 06 2014 alexl <alexl> 0.3.2-1.mga5
+ Revision: 612274
- imported package fskbsetting

